QGIS Application - Feature request #8709
Easier import of OSM data: bounding box
2013-09-27 09:46 AM - Paolo Cavallini
Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17428
Description

I'm trying to import OSM data with the new importer, but | get a problem: the bounding box has to be specified in 4326. In the normal
case, an user loads an OSM background in 3857, or his data in the respective SRS. In these case, we get an error:

Error downloading
http://overpass-api.de/api/interpreter?data=(node(5.41294e+06,1.18302e+06,5.41358e+06,1.18428e+06);%3C;);out;
- server replied: Bad Request

better always reproject the bounding box chosen by the user in 4326.

Related issues:
Duplicated by QGIS Application - Bug report # 9103: Error downloading OSM data Closed 2013-11-20

Associated revisions

Revision 7becd761 - 2014-02-17 05:52 PM - Jiirgen Fischer

osm: transform extents to EPSG:4326 (fixes #8709)

History

#1 - 2013-09-27 11:51 AM - Giovanni Manghi
- Target version set to Future Release - High Priority

#2 - 2014-02-17 06:07 AM - iarla Kilbane-Dawe

The source of this bus is correctly identified in the comments on the duplicate Bug #9103. The OSM overpass-api requires the co-ordinates in Decimal

Degrees, while the feature sends the co-ordinates in the current co-ordinate system used in the project.

The bug can be eliminated in day-to-day use by switching the canvas co-ordinates to Decimal Degrees. The OSM layer then operates correctly.

#3 - 2014-02-17 12:10 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"7becd761af05d3946e3c94017cffacf5ed72bede".
